# rlog::Lock Class Reference

`#include <Lock.h>`

List of all members.

## Public Member Functions

| Lock (Mutex *mutex)

## Public Attributes

Mutex * | _mutex

## Detailed Description

Simple helper class or doing locking, so we can be sure the lock is released when our scope ends for whatever reason..

Usage

            func()
            {
                // mutex released when lock goes out of scope
                Lock lock( &mutex );

                ...
            }

The documentation for this class was generated from the following file:

- Lock.h